Sign in to follow this  
G-YMML1

REX Essential for FSX

Recommended Posts

Hello,

 

I have REX essential for FSX that was purchased 4 years ago and it says that it's compatible with P3D1.4 and higher, but I also noticed REX4 HD Direct in Flightsim store. So, I'm just wondering whether I can stay with REX essentials or buy REX HD Direct.

 

Thanks

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

For a small fee you can extend REX Essential for using in P3D v2. Ask at the REX Forum what you've to do.

Spirit

Share this post


Link to post

Hi,

 

You have a few options available:

 

  • Update your current software version to the latest via our support forum.
  • Once updated, you will have the ability to expand use to the later version(s) of P3D by purchasing a one-time fee of $4.99.  (@Spirit, thank you for chiming in)
  • Purchase REX4 Texture Direct at the SAME store where you originally purchased your version of REX, and you will be given a $5.00 discount upon checkout.

Share this post


Link to post

Thanks,

 

Just re-downloaded new version of the software and $4.99 link just popped-up in the main menue. 

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this